head	1.2;
access;
symbols
	perseant-exfatfs-base-20250801:1.2
	perseant-exfatfs-base-20240630:1.2
	perseant-exfatfs:1.2.0.44
	perseant-exfatfs-base:1.2
	cjep_sun2x:1.2.0.42
	cjep_sun2x-base:1.2
	cjep_staticlib_x-base1:1.2
	cjep_staticlib_x:1.2.0.40
	cjep_staticlib_x-base:1.2
	phil-wifi-20200421:1.2
	phil-wifi-20200411:1.2
	phil-wifi-20200406:1.2
	pgoyette-compat-merge-20190127:1.2
	pgoyette-compat-20190127:1.2
	pgoyette-compat-20190118:1.2
	pgoyette-compat-1226:1.2
	pgoyette-compat-1126:1.2
	pgoyette-compat-1020:1.2
	pgoyette-compat-0930:1.2
	pgoyette-compat-0906:1.2
	pgoyette-compat-0728:1.2
	pgoyette-compat-0625:1.2
	pgoyette-compat-0521:1.2
	pgoyette-compat-0502:1.2
	pgoyette-compat-0422:1.2
	pgoyette-compat-0415:1.2
	pgoyette-compat-0407:1.2
	pgoyette-compat-0330:1.2
	pgoyette-compat-0322:1.2
	pgoyette-compat-0315:1.2
	pgoyette-compat:1.2.0.38
	pgoyette-compat-base:1.2
	prg-localcount2-base3:1.2
	prg-localcount2-base2:1.2
	prg-localcount2-base1:1.2
	prg-localcount2:1.2.0.36
	prg-localcount2-base:1.2
	pgoyette-localcount-20170426:1.2
	bouyer-socketcan-base1:1.2
	pgoyette-localcount-20170320:1.2
	bouyer-socketcan:1.2.0.34
	bouyer-socketcan-base:1.2
	pgoyette-localcount-20170107:1.2
	pgoyette-localcount-20161104:1.2
	localcount-20160914:1.2
	pgoyette-localcount-20160806:1.2
	pgoyette-localcount-20160726:1.2
	pgoyette-localcount:1.2.0.32
	pgoyette-localcount-base:1.2
	netbsd-5-2-3-RELEASE:1.2
	netbsd-5-1-5-RELEASE:1.2
	yamt-pagecache-base9:1.2
	yamt-pagecache-tag8:1.2
	tls-earlyentropy:1.2.0.28
	tls-earlyentropy-base:1.2
	riastradh-xf86-video-intel-2-7-1-pre-2-21-15:1.2
	riastradh-drm2-base3:1.2
	netbsd-5-2-2-RELEASE:1.2
	netbsd-5-1-4-RELEASE:1.2
	netbsd-5-2-1-RELEASE:1.2
	netbsd-5-1-3-RELEASE:1.2
	agc-symver:1.2.0.30
	agc-symver-base:1.2
	tls-maxphys-base:1.2
	yamt-pagecache-base8:1.2
	netbsd-5-2:1.2.0.26
	yamt-pagecache-base7:1.2
	netbsd-5-2-RELEASE:1.2
	netbsd-5-2-RC1:1.2
	yamt-pagecache-base6:1.2
	yamt-pagecache-base5:1.2
	yamt-pagecache-base4:1.2
	netbsd-5-1-2-RELEASE:1.2
	netbsd-5-1-1-RELEASE:1.2
	yamt-pagecache-base3:1.2
	yamt-pagecache-base2:1.2
	yamt-pagecache:1.2.0.24
	yamt-pagecache-base:1.2
	bouyer-quota2-nbase:1.2
	bouyer-quota2:1.2.0.22
	bouyer-quota2-base:1.2
	matt-nb5-pq3:1.2.0.20
	matt-nb5-pq3-base:1.2
	netbsd-5-1:1.2.0.18
	netbsd-5-1-RELEASE:1.2
	netbsd-5-1-RC4:1.2
	netbsd-5-1-RC3:1.2
	netbsd-5-1-RC2:1.2
	netbsd-5-1-RC1:1.2
	v4-1-34:1.1.1.13
	netbsd-5-0-2-RELEASE:1.2
	v4-1-33:1.1.1.13
	netbsd-5-0-1-RELEASE:1.2
	jym-xensuspend-nbase:1.2
	netbsd-5-0:1.2.0.16
	netbsd-5-0-RELEASE:1.2
	netbsd-5-0-RC4:1.2
	netbsd-5-0-RC3:1.2
	netbsd-5-0-RC2:1.2
	jym-xensuspend:1.2.0.14
	jym-xensuspend-base:1.2
	netbsd-5-0-RC1:1.2
	netbsd-5:1.2.0.12
	netbsd-5-base:1.2
	mjf-devfs2:1.2.0.10
	mjf-devfs2-base:1.2
	yamt-pf42-base4:1.2
	yamt-pf42-base3:1.2
	hpcarm-cleanup-nbase:1.2
	v4-1-29:1.1.1.12
	yamt-pf42-base2:1.2
	yamt-pf42:1.2.0.8
	yamt-pf42-base:1.2
	keiichi-mipv6:1.2.0.6
	keiichi-mipv6-base:1.2
	cube-autoconf:1.2.0.4
	cube-autoconf-base:1.2
	hpcarm-cleanup:1.2.0.2
	hpcarm-cleanup-base:1.2
	v4-1-23:1.1.1.11
	v4-1-22:1.1.1.11
	v4-1-20:1.1.1.11
	v4-1-19:1.1.1.11
	v4-1-13:1.1.1.11
	v4-1-8:1.1.1.10
	v4-1-6:1.1.1.10
	v4-1-5:1.1.1.10
	v4-1-3:1.1.1.10
	v4-1-1:1.1.1.10
	v3-4-29:1.1.1.9
	v3-4-27:1.1.1.8
	v3-4-25:1.1.1.8
	v3-4-23:1.1.1.7
	v3-4-16:1.1.1.6
	v3-4-9:1.1.1.5
	v3-4-6:1.1.1.4
	v3-4-4:1.1.1.4
	v3-4-3:1.1.1.4
	v3-4-2:1.1.1.4
	v3-4-1:1.1.1.4
	v3-3-8:1.1.1.3
	v3-3-6:1.1.1.2
	v3-3-5:1.1.1.1
	DARRENR:1.1.1;
locks; strict;
comment	@# @;


1.2
date	99.12.11.22.49.35;	author veego;	state dead;
branches;
next	1.1;

1.1
date	99.12.11.22.23.57;	author veego;	state Exp;
branches
	1.1.1.1;
next	;

1.1.1.1
date	99.12.11.22.23.57;	author veego;	state Exp;
branches;
next	1.1.1.2;

1.1.1.2
date	99.12.28.07.21.59;	author darrenr;	state Exp;
branches;
next	1.1.1.3;

1.1.1.3
date	2000.02.01.20.11.11;	author veego;	state Exp;
branches;
next	1.1.1.4;

1.1.1.4
date	2000.05.03.10.55.30;	author veego;	state Exp;
branches;
next	1.1.1.5;

1.1.1.5
date	2000.08.09.20.49.05;	author veego;	state Exp;
branches;
next	1.1.1.6;

1.1.1.6
date	2001.03.26.03.52.18;	author mike;	state Exp;
branches;
next	1.1.1.7;

1.1.1.7
date	2002.01.24.08.18.29;	author martti;	state Exp;
branches;
next	1.1.1.8;

1.1.1.8
date	2002.03.14.12.30.07;	author martti;	state Exp;
branches;
next	1.1.1.9;

1.1.1.9
date	2002.09.19.07.55.40;	author martti;	state Exp;
branches;
next	1.1.1.10;

1.1.1.10
date	2004.03.28.08.55.22;	author martti;	state Exp;
branches;
next	1.1.1.11;

1.1.1.11
date	2006.04.04.16.08.17;	author martti;	state Exp;
branches;
next	1.1.1.12;

1.1.1.12
date	2008.05.20.06.43.49;	author darrenr;	state Exp;
branches;
next	1.1.1.13;

1.1.1.13
date	2009.08.19.08.29.20;	author darrenr;	state Exp;
branches;
next	;


desc
@@


1.2
log
@We don't need these files.
@
text
@#! /bin/sh
if [ ! -f netinet/done ] ; then
	echo "Do NOT run this script directly, do 'make solaris'!"
	exit 1
fi
# Id: buildsunos,v 2.1.2.1 1999/08/08 13:55:20 darrenr Exp
:
rev=`uname -r | sed -e 's/^\([^\.]*\)\..*/\1/'`
if [ -d /usr/ccs/bin ] ; then
	PATH=/usr/ccs/bin:${PATH}
fi
if [ $rev = 5 ] ; then
	cpu=`uname -p`
	cpudir=${cpu}-`uname -r`
	solrev=`uname -r | sh -c 'IFS=. read j n x; echo $n'`
	if [ ! -d SunOS5/${cpudir} -a ! -h  SunOS5/${cpudir} ] ; then
		mkdir -p SunOS5/${cpudir}
	fi
	/bin/rm -f SunOS5/${cpudir}/Makefile
	/bin/rm -f SunOS5/${cpudir}/Makefile.ipsend
	ln -s `pwd`/SunOS5/Makefile SunOS5/${cpudir}/Makefile
	ln -s `pwd`/SunOS5/Makefile.ipsend SunOS5/${cpudir}/Makefile.ipsend
	ARCHINC=
	XARCH=
	if [ -d /opt/SUNWspro/bin ] ; then
		CC="/opt/SUNWspro/bin/cc  ${CFL}"
		export CC
		/bin/optisa sparcv9 >/dev/null 2>&1
		if [ $? -eq 0 ] ; then
			ARCHINC="-I/usr/include/v9"
			XARCH="-xarch=v9 -xchip=ultra -dalign -xcode=abs32"
		fi
	else
		CC=gcc
	fi
else
	cpu=`uname -m`
	cpudir=${cpu}-`uname -r`
fi
if [ $cpu = i386 ] ; then
	make ${1+"$@@"} sunos5x86 SOLARIS2="-DSOLARIS2=$solrev" CPU= CPUDIR=${cpudir} CC="$CC $XARCH" XARCH="$XARCH" ARCHINC="$ARCHINC"
	exit $?
fi
if [ x$solrev = x ] ; then
	make ${1+"$@@"} sunos$rev "ARCH=`uname -m`"
	exit $?
fi
make ${1+"$@@"} sunos$rev SOLARIS2="-DSOLARIS2=$solrev" CPU= CPUDIR=${cpudir} CC="$CC $XARCH" XARCH="$XARCH" ARCHINC="$ARCHINC"
exit $?
@


1.1
log
@Initial revision
@
text
@@


1.1.1.1
log
@Inital import of IP Filter 3.3.5 under the dist directory.
@
text
@@


1.1.1.2
log
@update DARRENR branch of dist/ipf to 3.3.6
@
text
@a24 7
	/bin/optisa sparcv9 >/dev/null 2>&1
	if [ $? -eq 0 ] ; then
		if [ ! -d /opt/SUNWspro/bin ] ; then
			echo "You must have SUNWspro to build a 64bit ipf"
			exit 1
		fi
	fi
@


1.1.1.3
log
@Import IP Filter 3.3.8
@
text
@d6 1
a6 1
# Id: buildsunos,v 2.1.2.2 1999/12/28 05:08:14 darrenr Exp
@


1.1.1.4
log
@Import IP Filter 3.4.1
@
text
@d6 1
a6 1
# Id: buildsunos,v 2.5.2.1 2000/04/28 11:13:51 darrenr Exp
a33 1
		XARCH="-Xa -xF -xildoff"
d38 1
a38 2
			XARCH="${XARCH} -xarch=v9 -xchip=ultra -dalign"
			XARCH="${XARCH} -xcode=abs32"
@


1.1.1.5
log
@Import IP Filter 3.4.9
@
text
@d6 1
a6 1
# Id: buildsunos,v 2.5.2.4 2000/08/08 11:40:22 darrenr Exp
a10 1
	export PATH
a11 1

a12 6
	#
	# /usr/ucb/cc will not work
	#
	PATH=`echo $PATH | sed -e s:/usr/ucb::g -e s/::/:/g`
	export PATH

d23 6
a28 57

	#
	# Default C compiler is "cc", override on make commandline
	#
	: ${CC:=cc}
	v=`echo '__GNUC__' | 2>&1 ${CC} -E - | 2>&1 sed -ne '/^[0-9]* *$/p'`
	if [ x$v != x ] ; then
		CC=gcc
	fi

	case "$CC" in
	*gcc*)	# gcc
		XARCH32=""
		XARCH64="-m64 -mcmodel=medlow"
		;;
	*)	# Sun C
		XARCH32="-Xa -xF -xildoff"
		XARCH64="$XARCH32 -xarch=v9 -xchip=ultra -dalign -xcode=abs32"
		;;
	esac

	export CC

	ISABITS=32

	OBJ32=sparcv7
	ARCHINC32=
	OBJ64=sparcv9
	ARCHINC64="-I/usr/include/v9"

	if [ $solrev -ge 7 ] && /bin/optisa sparcv8plus > /dev/null
	then
		# We run Solaris 7+ on 64 bit capable hardware.
		BUILDBOTH=true
	else
		BUILDBOTH=false
		OBJ32=.
	fi

	if $BUILDBOTH
	then
		echo Testing compiler $CC for 64 bit object file generation.
		t=conftest$$.c
		trap 'rm -f $t 32.out 64.out; exit 1' 0 1 2 3 15
		cat > $t <<-EOF
		#include <stdio.h>
		int main(void)
		{
			printf("%ld\n", (long) sizeof(long));
		}
		EOF

		# Is it perhaps a 64 bit only compiler?
		if $CC $XARCH32 $t -o 32.out >/dev/null 2>&1 &&
		    [ "`./32.out`" = 4 ]
		then :; else
			echo $CC $XARCH32 cannot create 32 bit executables. 1>&2
a30 10
		if $CC $XARCH64 $t -o 64.out >/dev/null 2>&1 &&
		    [ "`./64.out`" = 8 ]
		then
			echo "found 32/64 bit compiler" 1>&2
			CC64=true
		else
			CC64=false
		fi
		rm -f $t 32.out 64.out
		trap 0 1 2 3 15
d32 9
a40 6

	# If we're running 64 bit, we *must* build 64 bit.
	if ([ "`isainfo -b`" = 64 ]) 2>/dev/null ; then
		if $CC64 ; then :; else
			echo "No 64 bit capable compiler was found" 1>&2
			exit 1
a41 4
		ISABITS="32 64"
	elif $BUILDBOTH && $CC64
	then
		ISABITS="32 64"
d43 1
a43 1
		OBJ32=.
a48 4

# Default $MAKE to make
: ${MAKE:=make}

d50 1
a50 1
	$MAKE $MAKEFLAGS ${1+"$@@"} sunos5x86 SOLARIS2="-DSOLARIS2=$solrev" CPU= CPUDIR=${cpudir} CC="$CC $XARCH32" XARCH="$XARCH32" ARCHINC="$ARCHINC32" BITS=32 OBJ=.
d57 2
a58 9
for b in $ISABITS
do
    echo build $b bit binaries.
    for v in OBJ ARCHINC XARCH
    do
	eval $v=\"\$$v$b\"
    done
    $MAKE $MAKEFLAGS ${1+"$@@"} sunos$rev SOLARIS2="-DSOLARIS2=$solrev" CPU= CPUDIR=${cpudir} CC="$CC $XARCH" XARCH="$XARCH" ARCHINC="$ARCHINC" BITS=$b OBJ=$OBJ || exit $?
done
@


1.1.1.6
log
@Import IP Filter 3.4.16
@
text
@d6 1
a6 1
# Id: buildsunos,v 2.5.2.8 2000/12/17 12:43:14 darrenr Exp
a40 12
	if [ $solrev -ge 7 ] && /bin/optisa sparcv8plus > /dev/null
	then
		# We run Solaris 7+ on 64 bit capable hardware.
		BUILDBOTH=true
		if [ -f /opt/SUNWspro/bin/cc ] ; then
			CC=/opt/SUNWspro/bin/cc
		fi
	else
		BUILDBOTH=false
		OBJ32=.
	fi

d61 9
a79 1
			exit(0);
d91 1
a91 3
		    { out64=`./64.out 2>/dev/null` ;
		    [ "$out64" = 8 -o "`isainfo -b`" = 32 -a "$out64" = "" ]
		    }
d128 1
a128 1
	make ${1+"$@@"} sunos$rev "TOP=.." "ARCH=`uname -m`"
@


1.1.1.7
log
@Import IPFilter 3.4.23
@
text
@d6 1
a6 1
# Id: buildsunos,v 2.5.2.10 2001/05/18 14:19:38 darrenr Exp
a38 2
	else
		CC=cc
d59 2
a60 2
		XARCH32="-Xa -xildoff"
		XARCH64="$XARCH32 -xchip=ultra -dalign -xcode=abs32 -xarch=v9"
@


1.1.1.8
log
@Import IPFilter 3.4.25
@
text
@d6 1
a6 1
# Id: buildsunos,v 2.5.2.12 2002/03/13 03:59:06 darrenr Exp
d57 1
a57 8
		case `uname -p` in
		sparc)
			XARCH32="-m32"
			;;
		*)
			XARCH32=""
			;;
		esac
@


1.1.1.9
log
@Import IPFilter 3.4.29
@
text
@a1 2
unset LD_LIBRARY_PATH

d6 1
a6 1
# Id: buildsunos,v 2.5.2.13 2002/06/04 14:37:54 darrenr Exp
@


1.1.1.10
log
@Import IPFilter 4.1.1
@
text
@d2 2
d8 1
a8 1
# Id: buildsunos,v 2.20 2004/02/07 18:08:46 darrenr Exp
a16 9
	if [ ! -d ../pfil ] ; then
		cat << __EOF__
pfil directory in .. missing, please download pfil package and extract that
into the parent directory.

See INSTALL.Sol2 for more instructions.
__EOF__
		exit 1
	fi
d37 1
a37 12
	if [ "x$CC" = "x" ] ; then
		if echo '' | cc -E - >/dev/null 2>&1 ; then
			CC=cc
		else
			if echo '' | gcc -E - >/dev/null 2>&1 ; then
				CC=gcc
			else
				echo "No working compiler found"
				exit 1
			fi
		fi
	fi
d41 14
d59 8
a66 1
		XARCH32=""
d71 1
a71 1
		XARCH64="$XARCH32 -xarch=v9 -xchip=ultra -dalign -xcode=abs32"
a83 9
	if [ $solrev -ge 7 ] && /bin/optisa sparcv8plus > /dev/null
	then
		# We run Solaris 7+ on 64 bit capable hardware.
		BUILDBOTH=true
	else
		BUILDBOTH=false
		OBJ32=.
	fi

d141 1
a141 4
	if [ -n "$BPFILTER" ] ; then
		BPF="BPFILTER=./$BPFILTER"
	fi
	$MAKE $MAKEFLAGS ${1+"$@@"} sunos5x86 SOLARIS2="-DSOLARIS2=$solrev" CPU= CPUDIR=${cpudir} CC="$CC $XARCH32" XARCH="$XARCH32" ARCHINC="$ARCHINC32" BITS=32 OBJ=. $BPF
d155 1
a155 4
    if [ -n "$BPFILTER" ] ; then
	BPF="BPFILTER=$OBJ/$BPFILTER"
    fi
    $MAKE $MAKEFLAGS ${1+"$@@"} sunos$rev SOLARIS2="-DSOLARIS2=$solrev" CPU= CPUDIR=${cpudir} CC="$CC $XARCH" XARCH="$XARCH" ARCHINC="$ARCHINC" BITS=$b OBJ=$OBJ $BPF || exit $?
@


1.1.1.11
log
@Import IPFilter 4.1.13
@
text
@d6 1
a6 1
# Id: buildsunos,v 2.20.2.2 2006/03/16 06:40:10 darrenr Exp
a13 9
testcc()
{
	if echo '' | $1 -E - >/dev/null 2>&1 ; then
		CC=$1
		return 0
	fi
	return 1
}

d45 7
a51 5
		testcc cc
		if [ $? -ne 0 ] ; then
			testcc gcc
			if [ $? -ne 0 ] ; then
				echo 'No working compiler found'
a54 17
	else
		testcc $CC
		if [ $? -ne 0 ] ; then
			case $CC in
			*gcc*)
				echo 'No working compiler found'
				exit 1
				;;
			*)
				testcc gcc
				if [ $? -ne 0 ] ; then
					echo 'No working compiler found'
					exit 1
				fi
				;;
			esac
		fi
d64 1
a64 2
		XARCH64_sparc="-m64 -mcmodel=medlow"
		XARCH64_i386="-m64 -mcmodel=kernel -mno-red-zone -ffreestanding"
d68 1
a68 2
		XARCH64_sparc="$XARCH32 -xarch=v9 -xchip=ultra -dalign -xcode=abs32"
		XARCH64_i386="$XARCH32 -xarch=amd64 -xcode=abs32"
a70 5
	XARCH64="`eval echo '$XARCH64_'$cpu`"
	OBJ32_sparc=sparcv7
	OBJ64_sparc=sparcv9
	OBJ32_i386=i86
	OBJ64_i386=amd64
d76 1
a76 2
	OBJ32=`eval echo '$OBJ32_'$cpu`
	OBJ64=`eval echo '$OBJ64_'$cpu`
d78 2
a79 3
	ARCHINC64_sparc="-I/usr/include/v9"
	ARCHINC64_i386=""
	ARCHINC64="`eval echo '$ARCHINC_'$cpu`"
d81 1
a81 5
	if [ $solrev -ge 10 ] && /bin/optisa sparcv8plus amd64 > /dev/null
	then
		# Introducing amd64
		BUILDBOTH=true
	elif [ $solrev -ge 7 ] && /bin/optisa sparcv8plus > /dev/null
d146 1
a146 1
if [ $cpu = i386 -a $solrev -lt 10 ] ; then
@


1.1.1.12
log
@Import IPFilter 4.1.29 to the vendor branch
@
text
@d6 1
a6 1
# Id: buildsunos,v 2.20.2.6 2007/10/26 12:18:48 darrenr Exp
d24 1
a24 1
	if [ ! -f /usr/include/sys/neti.h -a ! -d ../pfil ] ; then
d87 1
a87 2
		XARCH32_i386=""
		XARCH32_sparc=""
d92 2
a93 3
		XARCH32_i386="-Xa -xildoff"
		XARCH32_sparc="-Xa -xildoff -xarch=v8 -xmemalign=8s"
		XARCH64_sparc="-Xa -xildoff -xarch=v9 -xchip=ultra -xmemalign=8s -xcode=abs32"
a96 1
	XARCH32="`eval echo '$XARCH32_'$cpu`"
d187 1
a187 1
	$MAKE $MAKEFLAGS ${1+"$@@"} sunos5 SOLARIS2="-DSOLARIS2=$solrev" CPU= CPUDIR=${cpudir} CC="$CC $XARCH32" XARCH="$XARCH32" ARCHINC="$ARCHINC32" BITS=32 OBJ=. $BPF
@


1.1.1.13
log
@Import IPFilter 4.1.33

4.1.33 - Release 16 August 2009

2837931 wrong mode selected in ipf program for hash-entries
2826168 load_http can make ippool core dump
2825150 IPL_LOGMAX used to index some arrays
2825084 ipv6 fragments should not be allowed past 64k
2824713 ipfstat top output alternates between entries and nothing
2824712 ipfstat top output is shows negative ttl
2820965 a single bad ipv6 extension header should not impact others
2818197 ignored fragment bits defined as being reserved
2817667 IPv6 fragment header verification needs attention
2817098 fr_getrulen() finds the wrong rule
2817096 fr_rulen is unused
2741019 Lingering states (Established/Listen - 5/0) in state table
2702887 use of PBR/fastroute causes panic with ipv6
2671913 regression test in7 fails to execute
2598625 parsing empty config file results in an error
2698656 test parsing empty config files
2597956 not all pointers in a clone are reset
2543934 nat_t gets assigned ifp too early
2535795 No need to always bump fr_ref
2535778 Bad IPv6 packets droped by default
2031730 4.1.31 Nat drops fragmented packets after the first
2214661 ipf does not handle IPv6 fragments
2473273 NAT removed before RST/ICMP sent
2216500 fin_state serves no purpose
2424604 adding random MD5 data causes panic
2304435 Ineffecient lock usage in logging
2216491 fin_nat serves little purpose
2055619 duplicating a free-d packet will fail
2042949 Excessive locking when creating nat_t
2035610 nat_update does not need to get locks
2214658 ipf mostly ignores locking in NetBSD
1979427 Memory leak in user utilities - token never freed (rel br)
* SunOS4 does not have a curproc, but it does have u.
* The fix for 2020447 generated random port numbers but not within the
  range specified in the map rule.  Add in a regression test to verify
  that the "random" part works.
2020447 NAT can undo name server random port selection
1988795 NetBSD does not build with kernel malloc stats
1988782 fr_movequeue can take a short cut
1988669 first nat creation failure prevents further success
1988668 hostmap searching does not work properly
* on some 64bit architectures (such as alpha), the addrfamily_t is packed
  differently, throwing off the calculations for adf_len
* one too many READ_ENTERs in ip_sync code.
* clean up fr_fastroute a little by removing some #ifdefs and pushing the
  code around a bit to use the same variables (NetBSD)
* more recent NetBSDs use VOP related macros differently
@
text
@d6 1
a6 1
# Id: buildsunos,v 2.20.2.8 2008/11/06 21:01:39 darrenr Exp
d80 1
a80 1
	v=`echo '__GNUC__' 2>&1 | ${CC} -E - 2>&1 | sed -ne '/^[0-9]* *$/p'`
d95 2
a96 7
		if [ `cc -xarch=amd64 -xarch=v9 2>&1 | grep -c deprec` -eq 1 ] ; then
			XARCH64_sparc="-Xa -xildoff -m64 -xmemalign=8s"
			XARCH64_i386="$XARCH32 -m64"
		else
			XARCH64_sparc="-Xa -xildoff -xarch=v9 -xchip=ultra -xmemalign=8s -xcode=abs32"
			XARCH64_i386="$XARCH32 -xarch=amd64 -xcode=abs32"
		fi
@


